Bug 611532 - [abrt] crash in qemu-system-x86-2:0.12.3-8.fc13: Process /usr/bin/qemu-system-x86_64 was killed by signal 6 (SIGABRT)
[abrt] crash in qemu-system-x86-2:0.12.3-8.fc13: Process /usr/bin/qemu-system...
Status: CLOSED DUPLICATE of bug 826251
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:dd6e056cb0e31d8a5fc1af558c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 09:19 EDT by Tobias Mueller
Modified: 2013-01-09 17:49 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 17:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.59 KB, text/plain)
2010-07-05 09:19 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2010-07-05 09:19:30 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
component: qemu
executable: /usr/bin/qemu-system-x86_64
global_uuid: dd6e056cb0e31d8a5fc1af558c640737a34404b7
kernel: 2.6.33.5-124.fc13.x86_64
package: qemu-system-x86-2:0.12.3-8.fc13
rating: 4
reason: Process /usr/bin/qemu-system-x86_64 was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

backtrace
-----
BFD: Warning: /var/cache/abrt/ccpp-1278335845-30018/coredump is truncated: expected core file size >= 353714176, found: 61440.
warning: core file may not match specified executable file.
[New Thread 30018]
Cannot access memory at address 0x3020a20108
Cannot access memory at address 0x3020a20108
Cannot access memory at address 0x3020a20108
Failed to read a valid object file image from memory.
Core was generated by `qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian'.
Program terminated with signal 6, Aborted.
#0  0x00000030210329a5 in ?? ()

Thread 1 (Thread 30018):
Cannot access memory at address 0x7fffff45a7f8
From                To                  Syms Read   Shared Object Library
0x0000003020800af0  0x0000003020818934  Yes         /lib64/ld-linux-x86-64.so.2
No symbol "__abort_msg" in current context.
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x17fe0a0	25157792
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x7542	30018
rdi            0x7542	30018
rbp            0x5ce628	0x5ce628
rsp            0x7fffff45a7f8	0x7fffff45a7f8
r8             0x7fb3f6bfa740	140410915628864
r9             0x1	1
r10            0x8	8
r11            0x206	518
r12            0x1900	6400
r13            0x7fffff45a950	140737476143440
r14            0xa0	160
r15            0x0	0
rip            0x30210329a5	0x30210329a5
eflags         0x206	[ PF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.

comment
-----
$ qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux  -monitor stdio
QEMU 0.12.3 monitor - type 'help' for more information
(qemu) qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdf2 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 ffffffff 00cf9300
CS =9020 00090200 0000ffff 00009b0f
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 0000ffff 00009300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000cc240 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000 
DR6=ffff0ff0 DR7=00000400
CCS=00000000 CCD=00000000 CCO=ADDB    
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted (core dumped)


Note that this happens with qemu from git, too.

How to reproduce
-----
1. qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux  -monitor stdio
2. gdb
3. br start_kernel; br panic; target remote localhost:1234; continue
Comment 1 Tobias Mueller 2010-07-05 09:19:34 EDT
Created attachment 429536 [details]
File: backtrace
Comment 2 Tobias Mueller 2010-07-05 09:29:09 EDT
First terminal:

$ /opt/muelli/qemu/bin/qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux  -monitor stdio
QEMU 0.12.50 monitor - type 'help' for more information
(qemu) qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdf2 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 0000ffff 00009300
CS =9020 00090200 0000ffff 00009b0f
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 ffffffff 00cf9300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000c9a50 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000 
DR6=ffff0ff0 DR7=00000400
CCS=00000000 CCD=00000000 CCO=ADDB    
EFER=0000000000000000
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted (core dumped)


Second terminal:
$ gdb
GNU gdb (GDB) Fedora (7.1-28.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) target remote localhost:1234
Remote debugging using localhost:1234
0x0000fff0 in ?? ()
(gdb) c
Continuing.
Remote connection closed
(gdb) 


Uh, but I just realised that the image itself won't boot at all anyway. So there is no relationship to gdb.
Comment 3 Bug Zapper 2011-06-01 10:42:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tobias Mueller 2011-06-25 12:37:58 EDT
Still the very same issue in F14.

Terminal 1:

$ /opt/muelli/qemu/bin/qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
QEMU 0.12.50 monitor - type 'help' for more information
(qemu) apm_ioport_writeb addr=0x1 val=0x01
apm_ioport_writeb addr=0x0 val=0x00
apm_ioport_readb addr=0x1 val=0x01
apm_ioport_writeb addr=0x1 val=0x00
apm_ioport_readb addr=0x1 val=0x00
qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdf2 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 0000ffff 00009300
CS =9020 00090200 0000ffff 00009b0f
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 ffffffff 00cf9300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000c9a50 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000 
DR6=ffff0ff0 DR7=00000400
CCS=00000000 CCD=00000000 CCO=ADDB    
EFER=0000000000000000
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted (core dumped)



Terminal 2:
$ gdb
GNU gdb (GDB) Fedora (7.2-51.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) target remote localhost:1234
Remote debugging using localhost:1234
0x0000fff0 in ?? ()
(gdb)  c
Continuing.
Remote connection closed
(gdb)
Comment 5 Tobias Mueller 2011-10-31 04:08:51 EDT
Still an issue with F15:

Terminal 1:
$ qemu-system-x86_64 -s -S -kernel /opt/ubuntu/home/muelli/ubuntu-maverick/debian/build/build-generic/vmlinux -monitor stdio
Could not initialize KVM, will disable KVM support
QEMU 0.14.0 monitor - type 'help' for more information
(qemu) qemu: fatal: Trying to execute code outside RAM or ROM at 0x00000000000a0000

EAX=00000000 EBX=00000000 ECX=00000000 EDX=00000000
ESI=00000000 EDI=00000000 EBP=00000000 ESP=00009fe0
EIP=0000fdf2 EFL=00000002 [-------] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9000 00090000 ffffffff 00cf9300
CS =9020 00090200 0000ffff 00009b00
SS =9000 00090000 0000ffff 00009300
DS =9000 00090000 0000ffff 00009300
FS =9000 00090000 0000ffff 00009300
GS =9000 00090000 0000ffff 00009300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000cc240 00000017
IDT=     00000000 000003ff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
CCS=00000000 CCD=00000000 CCO=ADDB    
EFER=0000000000000000
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
Aborted


Terminal 2:
$ gdb
GNU gdb (GDB) Fedora (7.3-43.fc15)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
(gdb) target remote localhost:1234
Remote debugging using localhost:1234
0x0000fff0 in ?? ()
(gdb)  c
Continuing.
Remote connection closed
(gdb)
Comment 6 Fedora Admin XMLRPC Client 2012-03-15 13:55:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-05-28 20:13:28 EDT
Tobias, I realize I keep pushing back on your nice bug reports, but can you check if this is still reproducible with F16? F15 is end of life in less than a month.
Comment 8 Tobias Mueller 2012-05-29 16:49:44 EDT
Yep. Still an issue.

abrt filed bug 826251
Comment 9 Cole Robinson 2012-05-29 17:35:51 EDT

*** This bug has been marked as a duplicate of bug 826251 ***

Note You need to log in before you can comment on or make changes to this bug.